const MODE: "dev" | "staging" | "prod" = "dev";

const DEV_HOST = "http://next-api.ferinesia.local";
const STAGING_HOST = "";
const PROD_HOST = "https://prod-api-2.ferinesia.com";

const CURRENT_HOST: Record<"dev" | "staging" | "prod", string> = {
    dev: DEV_HOST,
    staging: STAGING_HOST,
    prod: PROD_HOST
};

const endpoints = {
    me: "/users/api/authentication/schedule_board/me",
    qr_code_login: "/users/api/authentication/schedule_board/login_token",
    login: "/users/api/authentication/schedule_board/login",
    schedule_entries: "/schedules/api/schedule_board/get_schedule_entries"
}

const activeHost = CURRENT_HOST[MODE];

export {activeHost, endpoints};