import { activeHost } from "@/config/host";
import axios from "axios";

interface AxiosInstanceProp 
{
    bearerToken?: string
}


const createAxiosInstance = (prop: AxiosInstanceProp) => {
    const axiosInstance = axios.create({
        baseURL: activeHost,
        headers: {
            "Authorization": `Bearer ${prop.bearerToken}`
        }
    });

    return axiosInstance;
}

export {createAxiosInstance};